# Interface IGroupByRequest

## Index

### Properties

- allowedValues
- allowedValuesPatternType
- computedFields
- constantQueryOverride
- field
- generateAutomaticRanges
- injectionDepth
- maximumNumberOfValues
- queryOverride
- rangeValues
- sortCriteria

## Properties

### Optional allowedValues

allowedValues: string[]

- Defined in rest/GroupByRequest.ts :92

### Optional allowedValuesPatternType

allowedValuesPatternType: AllowedValuesPatternType

- Defined in rest/GroupByRequest.ts :99

### Optional computedFields

computedFields: IComputedFieldRequest[]

- Defined in rest/GroupByRequest.ts :108

### Optional constantQueryOverride

constantQueryOverride: string

- Defined in rest/GroupByRequest.ts :82

### field

field: string

- Defined in rest/GroupByRequest.ts :15

### Optional generateAutomaticRanges

generateAutomaticRanges: boolean

- Defined in rest/GroupByRequest.ts :120

### Optional injectionDepth

injectionDepth: number

- Defined in rest/GroupByRequest.ts :60

### Optional maximumNumberOfValues

maximumNumberOfValues: number

- Defined in rest/GroupByRequest.ts :46

### Optional queryOverride

queryOverride: string

- Defined in rest/GroupByRequest.ts :70

### Optional rangeValues

rangeValues: IRangeValue[]

- Defined in rest/GroupByRequest.ts :113

### Optional sortCriteria

sortCriteria: string

- Defined in rest/GroupByRequest.ts :39

### Hierarchy

- IGroupByRequest